package com.miaxis.order.service;

import java.util.List;

import com.miaxis.order.domain.OrderInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.order.dto.QuerySchoolOrderListDTO;
import com.miaxis.order.vo.QuerySchoolOrderListVo;
import com.miaxis.wx.domain.WxJsOrder;

/**
 * 订单信息Service接口
 *
 * @author miaxis
 * @date 2022-06-01
 */
public interface IOrderInfoService extends IService<OrderInfo> {
    /**
     * 查询订单信息列表
     *
     * @param orderInfo 订单信息
     * @return 订单信息集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfo orderInfo);

    OrderInfo getByOutTradeNo(String outTradeNo);

    public void writeVipDataToDb(WxJsOrder order, int payType);

    public void writeVipDataToDb(String goodsName, Long userId, String userName, String outTrandeNo, Integer total, Integer payType);

    List<QuerySchoolOrderListVo> selectSchoolOrderInfoList(QuerySchoolOrderListDTO schoolOrderListDTO);
}
